
class SysModuleServer {
    async all() {
        let res =  await window.framework.http.get("/sys_menu/all", {});
        return res;
    }

    async list(row) {
        let res =  await window.framework.http.get("/sys_menu/all", row);
        return res;
    }

    async add(row) {
        let res =  await window.framework.http.post("/sys_menu/add", row);
        return res;
    }

    async edit(row) {
        let res =  await window.framework.http.post("/sys_menu/edit", row);
        return res;
    }

    async del(row) {
        let res =  await window.framework.http.post("/sys_menu/del", row);
        return res;
    }
}

const sysModuleServer = new SysModuleServer();
export default sysModuleServer;